SDL_UpdateHapticEffect(3)

NAME
SDL_UpdateHapticEffect - Update the properties of an effect.

HEADER FILE
Defined in SDL3/SDL_haptic.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_UpdateHapticEffect(SDL_Haptic *haptic, int effect, const SDL_HapticEffect *data);

DESCRIPTION
Can be used dynamically, although behavior when dynamically changing direction may be strange. Specifically the effect may re-upload itself and start playing from the start. You also cannot change the type either when running SDL_UpdateHapticEffect ().

FUNCTION PARAMETERS

haptic
    the SDL_Haptic
     device that has the effect.

effect
    the identifier of the effect to update.

data
    an SDL_HapticEffect
     structure containing the new effect properties to use.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_CreateHapticEffect(3), •(3), SDL_RunHapticEffect(3)